####
FROM postgres:10.12

ENV POSTGRES_PASSWORD drupaltestbotpw
ENV POSTGRES_USER drupaltestbot

RUN apt-get -qq update
RUN apt-get -qq -y install sudo postgresql-contrib-10
RUN apt-get clean && apt-get autoclean && apt-get -y autoremove

USER postgres

COPY ./conf/startup.sh /opt/startup.sh

# copy over the updated PostgreSQL config that has been tuned for 4 Gigs of RAM
COPY ./conf/postgresql.conf /etc/postgresql/postgresql.conf
COPY ./conf/postgresql.conf /opt/postgresql.conf
COPY ./conf/90-postgres /etc/sudoers.d/90-postgres
RUN sudo adduser postgres sudo

CMD ["/bin/bash", "/opt/startup.sh"]
